org.eclipse.ease

## Class ScriptResult

- java.lang.Object
- - org.eclipse.ease.ScriptResult

    public class ScriptResult
    extends Object

A ScriptResult is a container for a script execution. As execution often occurs detached from the System thread, the result object contains an indicator for pending and finished results. Results itself may contain an object or an exception.

### Constructor Summary

Constructors
Constructor and Description
`ScriptResult()` Constructor of a pending execution.
`ScriptResult(Object result)` Constructor for a finished execution.

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `getException()` Get the exception stored within this result.
`Object` `getResult()` Get the result value stored.
`boolean` `hasException()` Checks whether this result contains an exception.
`boolean` `isReady()` Verify that this ScriptResult is processed.
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptResult

    public ScriptResult()

Constructor of a pending execution.

#### ScriptResult

    public ScriptResult(Object result)

Constructor for a finished execution.

Parameters:
  `result` - result of execution

### Method Detail

#### isReady

    public final boolean isReady()

Verify that this ScriptResult is processed. If the result is ready, execution of the underlying script is done.

Returns:
  true when processing is done

#### getResult

    public final Object getResult()

Get the result value stored.

Returns:
  result value

#### getException

    public final Throwable getException()

Get the exception stored within this result.

Returns:
  stored exception or null

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`

#### hasException

    public final boolean hasException()

Checks whether this result contains an exception.

Returns:
  true when this result contains an exception